*, body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


.container {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: space-around;
    background-color: red;
    background-size: auto;
    flex-wrap: wrap;
}

.frame {
    width: 600px;
    height: 300px;
    border: 10px solid;
    border-color: beige;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin: 10px;
}

.frame img{
    width: 50%;
/* object-fit: cover; */

} 

.text{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    width: 50%;
    padding: 10px 10px;
    background-color: brown;
    
}
.text p {
color: aliceblue;
}

.text button {

align-self: center;
}

.text button:hover{
    content: "";
    background-color: black;
    color: white;
}

.container2 {
    width: 100%;
    height: 100vh;
    background-color: blue;
    display: flex;
}

@media screen and (max-width: 1024px){
    .container {
        height: 100%;
    }
}
@media screen and (max-width: 556px){
    
    .frame {
        flex-direction: row;
        height: auto;
    }
    .text{
        width: 100%;
    }
    .frame img{
        width: 100%;
    }
}